FMOut Class Reference

`#include <fmout.h>`

Inheritance diagram for FMOut:

## Public Member Functions

| FMOut (int d=0, int total=12)
| ~FMOut ()
virtual void | openDev (int sqfd)
virtual void | closeDev (void)
virtual void | initDev (void)
virtual void | noteOn (uchar chn, uchar note, uchar vel)
virtual void | noteOff (uchar chn, uchar note, uchar vel)
virtual void | keyPressure (uchar chn, uchar note, uchar vel)
virtual void | chnPatchChange (uchar chn, uchar patch)
virtual void | chnPressure (uchar chn, uchar vel)
virtual void | chnPitchBender (uchar chn, uchar lsb, uchar msb)
virtual void | chnController (uchar chn, uchar ctl, uchar v)
virtual void | sysex (uchar *data, ulong size)
virtual void | setVolumePercentage (int i)
int | patch (int p)
Public Member Functions inherited from MidiOut
| MidiOut (int d=0)
virtual | ~MidiOut ()
int | deviceType () const
const char * | deviceName (void) const
void | setMidiMapper (MidiMapper *map)
void | allNotesOff (void)
virtual void | channelSilence (uchar chn)
virtual void | channelMute (uchar chn, int b)
int | ok (void)
const char * | midiMapFilename ()
void | sync (int i=0)

## Static Public Member Functions

static void | setFMPatchesDirectory (const char *dir)

## Additional Inherited Members

Protected Member Functions inherited from MidiOut
void | seqbuf_dump (void)
void | seqbuf_clean (void)
Protected Attributes inherited from MidiOut
int | seqfd
int | device
int | devicetype
int | volumepercentage
MidiMapper * | map
uchar | chnpatch [16]
int | chnbender [16]
uchar | chnpressure [16]
uchar | chncontroller [16][256]
int | chnmute [16]
int | _ok

## Detailed Description

FM device output class .

FMOut is used to send MIDI events to FM devices, such as AdLib cards, or OPL3 synthesizers.

FMOut inherits MidiOut and supports the same simple API.

The preferred way to use this class is by selecting a FM device on the MidiManager and using a MidiManager object directly

Sends MIDI events to FM devices

Version
  0.9.5 17/01/2000

Author
  Antonio Larrosa Jimenez larro.nosp@m.sa@k.nosp@m.de.or.nosp@m.g

Definition at line 43 of file fmout.h.

## Constructor & Destructor Documentation

FMOut::FMOut | ( | int | d = `0`,
|  | int | total = `12`
| ) |  |

Constructor.

See MidiOut::MidiOut() for more information.

Definition at line 45 of file fmout.cc.

FMOut::~FMOut | ( |  | ) |

Destructor.

Definition at line 60 of file fmout.cc.

## Member Function Documentation

void FMOut::chnController | ( | uchar | chn,
|  | uchar | ctl,
|  | uchar | v
| ) |  |

virtual

See MidiOut::chnController()

Reimplemented from MidiOut.

Definition at line 306 of file fmout.cc.

void FMOut::chnPatchChange | ( | uchar | chn,
|  | uchar | patch
| ) |  |

virtual

See MidiOut::chnPatchChange()

Reimplemented from MidiOut.

Definition at line 274 of file fmout.cc.

void FMOut::chnPitchBender | ( | uchar | chn,
|  | uchar | lsb,
|  | uchar | msb
| ) |  |

virtual

See MidiOut::chnPitchBender()

Reimplemented from MidiOut.

Definition at line 295 of file fmout.cc.

void FMOut::chnPressure | ( | uchar | chn,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::chnPressure()

Reimplemented from MidiOut.

Definition at line 285 of file fmout.cc.

void FMOut::closeDev | ( | void |  | ) |

virtual

See MidiOut::closeDev()

Reimplemented from MidiOut.

Definition at line 89 of file fmout.cc.

void FMOut::initDev | ( | void |  | ) |

virtual

See MidiOut::initDev()

Reimplemented from MidiOut.

Definition at line 97 of file fmout.cc.

void FMOut::keyPressure | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::keyPressure()

Reimplemented from MidiOut.

Definition at line 266 of file fmout.cc.

void FMOut::noteOff | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::noteOff()

Reimplemented from MidiOut.

Definition at line 251 of file fmout.cc.

void FMOut::noteOn | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::noteOn()

Reimplemented from MidiOut.

Definition at line 218 of file fmout.cc.

void FMOut::openDev | ( | int | sqfd | ) |

virtual

See MidiOut::openDev()

Reimplemented from MidiOut.

Definition at line 72 of file fmout.cc.

int FMOut::patch | ( | int | p | ) |

Returns `p` if the patch p has been loaded, or another patch (already loaded) if `p` hasn't been loaded.

Definition at line 207 of file fmout.cc.

void FMOut::setFMPatchesDirectory | ( | const char * | dir | ) |

static

Sets the directory where the FM patches are stored, that is, where the std.o3, std.sb, drums.o3 and drums.sb files can be found.

It will store a copy of the parameter, so you should delete the memory used by the parameter you passed.

Definition at line 326 of file fmout.cc.

void FMOut::setVolumePercentage | ( | int | i | ) |

virtual

See MidiOut::setVolumePercentage()

Reimplemented from MidiOut.

Definition at line 337 of file fmout.cc.

void FMOut::sysex | ( | uchar * | data,
|  | ulong | size
| ) |  |

virtual

It's an empty function, as FM devices don't support System Exclusive messages.

Reimplemented from MidiOut.

Definition at line 321 of file fmout.cc.

The documentation for this class was generated from the following files:

- fmout.h
- fmout.cc

KDE Home | KDE Accessibility Home | Description of Access Keys